## recastnavigation 1.5.1%2Bgit20210215.e75adf8

=== debian/changelog ===
recastnavigation (1.5.1+git20210215.e75adf8-1) unstable; urgency=low

  * First release to Debian. (Closes: #913828)

 -- Bret Curtis <psi29a@gmail.com>  Fri, 19 Feb 2021 12:13:09 +0200

## recastnavigation 1.5.1+git20210215.e75adf8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(RecastNavigation)

# lib versions
SET(SOVERSION 1)
SET(VERSION 1.0.0)

option(RECASTNAVIGATION_DEMO "Build demo" ON)
option(RECASTNAVIGATION_TESTS "Build tests" ON)
option(RECASTNAVIGATION_EXAMPLES "Build examples" ON)

if(MSVC AND BUILD_SHARED_LIBS)
    set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
endif()

include(GNUInstallDirs)

add_subdirectory(DebugUtils)
add_subdirectory(Detour)
add_subdirectory(DetourCrowd)
add_subdirectory(DetourTileCache)
add_subdirectory(Recast)

if (RECASTNAVIGATION_DEMO)
    add_subdirectory(RecastDemo)
endif ()

if (RECASTNAVIGATION_TESTS)
    enable_testing()
    add_subdirectory(Tests)
endif ()

=== DebugUtils/CMakeLists.txt ===
file(GLOB SOURCES Source/*.cpp)
add_library(DebugUtils ${SOURCES})

add_library(RecastNavigation::DebugUtils ALIAS DebugUtils)
set_target_properties(DebugUtils PROPERTIES DEBUG_POSTFIX -d)

set(DebugUtils_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/Include")

target_include_directories(DebugUtils PUBLIC
    "$<BUILD_INTERFACE:${DebugUtils_INCLUDE_DIR}>"
)

target_link_libraries(DebugUtils
    Recast
    Detour
    DetourTileCache
)

set_target_properties(DebugUtils PROPERTIES
        SOVERSION ${SOVERSION}
        VERSION ${VERSION}
        COMPILE_PDB_OUTPUT_DIRECTORY .
        COMPILE_PDB_NAME "DebugUtils-d"
        )

install(TARGETS DebugUtils
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        COMPONENT library
        )

file(GLOB INCLUDES Include/*.h)
install(FILES ${INCLUDES} DESTINATION
    ${CMAKE_INSTALL_INCLUDEDIR}/recastnavigation)
install(FILES "$<TARGET_FILE_DIR:DebugUtils>/DebugUtils-d.pdb" CONFIGURATIONS "Debug" DESTINATION "lib")

=== Detour/CMakeLists.txt ===
file(GLOB SOURCES Source/*.cpp)
add_library(Detour ${SOURCES})

add_library(RecastNavigation::Detour ALIAS Detour)
set_target_properties(Detour PROPERTIES DEBUG_POSTFIX -d)

set(Detour_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/Include")

target_include_directories(Detour PUBLIC
    "$<BUILD_INTERFACE:${Detour_INCLUDE_DIR}>"
)

set_target_properties(Detour PROPERTIES
        SOVERSION ${SOVERSION}
        VERSION ${VERSION}
        COMPILE_PDB_OUTPUT_DIRECTORY .
        COMPILE_PDB_NAME "Detour-d"
        )

install(TARGETS Detour
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        COMPONENT library
        )

file(GLOB INCLUDES Include/*.h)
install(FILES ${INCLUDES} DESTINATION
    ${CMAKE_INSTALL_INCLUDEDIR}/recastnavigation)
install(FILES "$<TARGET_FILE_DIR:Detour>/Detour-d.pdb" CONFIGURATIONS "Debug" DESTINATION "lib")

=== DetourCrowd/CMakeLists.txt ===
file(GLOB SOURCES Source/*.cpp)
add_library(DetourCrowd ${SOURCES})

add_library(RecastNavigation::DetourCrowd ALIAS DetourCrowd)
set_target_properties(DetourCrowd PROPERTIES DEBUG_POSTFIX -d)

set(DetourCrowd_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/Include")

target_include_directories(DetourCrowd PUBLIC
    "$<BUILD_INTERFACE:${DetourCrowd_INCLUDE_DIR}>"
)

target_link_libraries(DetourCrowd
    Detour
)

set_target_properties(DetourCrowd PROPERTIES
        SOVERSION ${SOVERSION}
        VERSION ${VERSION}
        COMPILE_PDB_OUTPUT_DIRECTORY .
        COMPILE_PDB_NAME "DetourCrowd-d"
        )

install(TARGETS DetourCrowd
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        COMPONENT library
        )

file(GLOB INCLUDES Include/*.h)
install(FILES ${INCLUDES} DESTINATION
    ${CMAKE_INSTALL_INCLUDEDIR}/recastnavigation)
install(FILES "$<TARGET_FILE_DIR:DetourCrowd>/DetourCrowd-d.pdb" CONFIGURATIONS "Debug" DESTINATION "lib")

=== DetourTileCache/CMakeLists.txt ===
file(GLOB SOURCES Source/*.cpp)
add_library(DetourTileCache ${SOURCES})

add_library(RecastNavigation::DetourTileCache ALIAS DetourTileCache)
set_target_properties(DetourTileCache PROPERTIES DEBUG_POSTFIX -d)

set(DetourTileCache_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/Include")

target_include_directories(DetourTileCache PUBLIC
    "$<BUILD_INTERFACE:${DetourTileCache_INCLUDE_DIR}>"
)

target_link_libraries(DetourTileCache
    Detour
)

set_target_properties(DetourTileCache PROPERTIES
        SOVERSION ${SOVERSION}
        VERSION ${VERSION}
        COMPILE_PDB_OUTPUT_DIRECTORY .
        COMPILE_PDB_NAME "DetourTileCache-d"
        )


install(TARGETS DetourTileCache
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        COMPONENT library
        )

file(GLOB INCLUDES Include/*.h)
install(FILES ${INCLUDES} DESTINATION
    ${CMAKE_INSTALL_INCLUDEDIR}/recastnavigation)
install(FILES "$<TARGET_FILE_DIR:DetourTileCache>/DetourTileCache-d.pdb" CONFIGURATIONS "Debug" DESTINATION "lib")

=== Recast/CMakeLists.txt ===
file(GLOB SOURCES Source/*.cpp)
add_library(Recast ${SOURCES})

add_library(RecastNavigation::Recast ALIAS Recast)
set_target_properties(Recast PROPERTIES DEBUG_POSTFIX -d)

set(Recast_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/Include")

target_include_directories(Recast PUBLIC
    "$<BUILD_INTERFACE:${Recast_INCLUDE_DIR}>"
)

set_target_properties(Recast PROPERTIES
        SOVERSION ${SOVERSION}
        VERSION ${VERSION}
        COMPILE_PDB_OUTPUT_DIRECTORY .
        COMPILE_PDB_NAME "Recast-d"
        )

install(TARGETS Recast
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        COMPONENT library
        )

file(GLOB INCLUDES Include/*.h)
install(FILES ${INCLUDES} DESTINATION
    ${CMAKE_INSTALL_INCLUDEDIR}/recastnavigation)
install(FILES "$<TARGET_FILE_DIR:Recast>/Recast-d.pdb" CONFIGURATIONS "Debug" DESTINATION "lib")

=== Tests/CMakeLists.txt ===
file(GLOB TESTS_SOURCES *.cpp Detour/*.cpp Recast/*.cpp)

include_directories(../Detour/Include)
include_directories(../Recast/Include)
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_executable(Tests ${TESTS_SOURCES})
add_dependencies(Tests Recast Detour)
target_link_libraries(Tests Recast Detour)
add_test(Tests Tests)

=== debian/control ===
Source: recastnavigation
Rules-Requires-Root: no
Section: libs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Bret Curtis <psi29a@gmail.com>
Build-Depends: debhelper-compat (= 13), cmake
Standards-Version: 4.5.1
Homepage: https://github.com/recastnavigation/recastnavigation
Vcs-Git: https://salsa.debian.org/games-team/recastnavigation.git
Vcs-Browser: https://salsa.debian.org/games-team/recastnavigation

Package: librecast-dev
Multi-Arch: same
Section: libdevel
Architecture: any
Depends: librecast1 (= ${binary:Version}),
 ${misc:Depends}
Description: Software implementation of Recast and Detour Navigation (development files)
 Recast is state of the art navigation mesh construction toolset for games.
 .
  * It is automatic, which means that you can throw any level geometry at it and
    you will get robust mesh out
  * It is fast which means swift turnaround times for level designers
  * It is open source so it comes with full source and you can customize it to
 your heart's content.
 .
 The Recast process starts with constructing a voxel mold from a level
 geometry and then casting a navigation mesh over it. The process consists
 of three steps, building the voxel mold, partitioning the mold into simple
 regions, peeling off the regions as simple polygons
 .
 Recastnavigation Development Headers

Package: librecast1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${shlibs:Recommends}
Suggests: ${shlibs:Suggests}
Description: Software implementation of Recast Navigation (shared library)
 Recast is state of the art navigation mesh construction toolset for games.
 .
 Recastnavigation Libraries

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment to view all compilation commands and fix W-compiler-flags-hidden
export VERBOSE=1

# Add hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#CMake silently ignores CPPFLAGS. Below will properly set CFLAGS/CXXFLAGS
#https://wiki.debian.org/Hardening#Notes_for_packages_using_CMake
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS) -fcommon
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

include /usr/share/dpkg/architecture.mk
ifeq ($(origin CC),default)
        CC = $(DEB_HOST_GNU_TYPE)-gcc
endif

# Use this variable to allow options passed to cmake to be overridable
DEB_CMAKE_OPTIONS ?= -DCMAKE_VERBOSE_MAKEFILE=ON \
                -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
		-DBUILD_SHARED_LIBS=ON \
                -DRECASTNAVIGATION_DEMO=OFF \
		-DRECASTNAVIGATION_TESTS=OFF \
		-DRECASTNAVIGATION_EXAMPLES=OFF \
                ..

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_OPTIONS)


%:
	dh $@ --builddirectory=build

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/recastnavigation-$1\.tar\.gz/ \
  https://github.com/recastnavigation/recastnavigation/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## recastnavigation 1.6.0+dfsg

=== debian/changelog ===
recastnavigation (1.6.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Antoine Le Gonidec <vv221@debian.org>  Wed, 22 Oct 2025 20:41:06 +0200

recastnavigation (1.6.0+dfsg-2) experimental; urgency=low

  * Team upload.

  [ Bret Curtis ]
  * Added patches that are needed by OpenMW regressions (backport from master)
  * Added patch to bump SOVERSION to 1debian0 (Closes: #1112095, #1115504)

  [ Sébastien Noel ]
  * Backport another upstream fix for CMake 4 (Closes: #1113463)

 -- Antoine Le Gonidec <vv221@debian.org>  Mon, 20 Oct 2025 14:02:19 +0200

recastnavigation (1.6.0+dfsg-1) unstable; urgency=low

  [ Bret Curtis ]
  * New upstream release (1.6.0)
  * Stripped out ttf and non dfsg files.

  [ Hefee ]
  * Updated debian/watch to work better with github

 -- Bret Curtis <psi29a@gmail.com>  Thu, 14 Aug 2025 13:14:09 +0200

recastnavigation (1.5.1+git20210215.e75adf8-r3) UNRELEASED; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Fix day-of-week for changelog entry 1.5.1+git20210215.e75adf8-r2.
  * Update standards version to 4.6.1, no changes needed.
  * Update standards version to 4.6.2, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Sat, 19 Nov 2022 05:12:51 -0000

recastnavigation (1.5.1+git20210215.e75adf8-r2) unstable; urgency=low

  * Applied patch to debian/rules to fix RPATH. (Closes: #1003922)

 -- Bret Curtis <psi29a@gmail.com>  Fri, 18 Feb 2022 08:13:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: recastnavigation
-Rules-Requires-Root: no
 Section: libs
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Bret Curtis <psi29a@gmail.com>
 Build-Depends: debhelper-compat (= 13), cmake
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/recastnavigation/recastnavigation
 Vcs-Git: https://salsa.debian.org/games-team/recastnavigation.git
 Vcs-Browser: https://salsa.debian.org/games-team/recastnavigation
@@ -14,7 +13,7 @@
 Multi-Arch: same
 Section: libdevel
 Architecture: any
-Depends: librecast1 (= ${binary:Version}),
+Depends: librecast1debian0 (= ${binary:Version}),
  ${misc:Depends}
 Description: Software implementation of Recast and Detour Navigation (development files)
  Recast is state of the art navigation mesh construction toolset for games.
@@ -32,7 +31,7 @@
  .
  Recastnavigation Development Headers
 
-Package: librecast1
+Package: librecast1debian0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment to view all compilation commands and fix W-compiler-flags-hidden
export VERBOSE=1

# Add hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
ifeq ($(origin CC),default)
        CC = $(DEB_HOST_GNU_TYPE)-gcc
endif

# Use this variable to allow options passed to cmake to be overridable
DEB_CMAKE_OPTIONS ?= -DCMAKE_VERBOSE_MAKEFILE=ON \
                -DBUILD_SHARED_LIBS=ON \
                -DRECASTNAVIGATION_DEMO=OFF \
                -DRECASTNAVIGATION_TESTS=ON \
                -DRECASTNAVIGATION_EXAMPLES=OFF \
                -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_OPTIONS)


%:
	dh $@ --builddirectory=build

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/recastnavigation-$1\.tar\.gz/, \
      dversionmangle=s/\+dfsg[\d\.]*$//" \
https://github.com/recastnavigation/recastnavigation/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
